classification
Title: Doc: Delete UNIX qualification for script running instructions
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: adelfino, docs@python, miss-islington, ned.deily, paul.moore, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2018-06-16 03:33 by adelfino, last changed 2018-06-25 19:32 by adelfino. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7744 merged adelfino, 2018-06-16 03:36
PR 7863 merged miss-islington, 2018-06-22 21:32
PR 7864 merged miss-islington, 2018-06-22 21:34
PR 7868 merged adelfino, 2018-06-23 02:28
Messages (8)
msg319703 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2018-06-16 03:33
Reference 9.1. says: "Under Unix, a complete program can be passed to the interpreter in three forms...".

This also applies to Windows. PR fixes this.
msg320260 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-22 20:08
The paragraph reads:

Under Unix, a complete program can be passed to the interpreter in three forms: with the -c string command line option, as a file passed as the first command line argument, or as standard input. If the file or standard input is a tty device, the interpreter enters interactive mode; otherwise, it executes the file as a complete program.

This is slightly confusing because a complete programs cannot be passed all at once if the file (regular or stdin) is interactive.

Not being a Windows expert, I was curious whether the standard input part is true for Win 10.  Indeed, both "python con:" and "python <con:" (as well as just "python") start Python in interactive mode, which both "python file" and "python < file" executes the file.

Ned, is the statement untrue for MacOS, or does 'Unix' always include Macs?  In other words, should we add 'Windows' or delete 'Unix'?
msg320271 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-22 21:08
The statement is true for macOS (note macOS is the correct current styling per Apple); in general, macOS is a UNIX platform as far as Python is concerned.  So, yes, it appears the documentation there could be simplified by eliminating the platform distinction.
msg320274 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-22 21:16
Thanks.  I did that and will merge when possible.
msg320276 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-22 21:31
New changeset c9d43c702a53804c23ecb22a0dbf6a47c804d2b1 by Terry Jan Reedy (Andrés Delfino) in branch 'master':
bpo-33877: Remove UNIX qualification for running complete programs (GH-7744)
https://github.com/python/cpython/commit/c9d43c702a53804c23ecb22a0dbf6a47c804d2b1
msg320281 - (view) Author: miss-islington (miss-islington) Date: 2018-06-22 21:51
New changeset f47d8983fe35239cccf4e623e4ad70c9e0f636f9 by Miss Islington (bot) in branch '3.7':
bpo-33877: Remove UNIX qualification for running complete programs (GH-7744)
https://github.com/python/cpython/commit/f47d8983fe35239cccf4e623e4ad70c9e0f636f9
msg320282 - (view) Author: miss-islington (miss-islington) Date: 2018-06-22 21:54
New changeset 688325ed1a4d549f03d886507c265093aa3b2cab by Miss Islington (bot) in branch '3.6':
bpo-33877: Remove UNIX qualification for running complete programs (GH-7744)
https://github.com/python/cpython/commit/688325ed1a4d549f03d886507c265093aa3b2cab
msg320295 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-23 02:37
New changeset 1c9a72cc99d4f76a18755d7227bd1c375e44b4ad by Terry Jan Reedy (Andrés Delfino) in branch '2.7':
[2.7] bpo-33877: Remove UNIX qualification for running complete programs (GH-7744)
https://github.com/python/cpython/commit/1c9a72cc99d4f76a18755d7227bd1c375e44b4ad
History
Date User Action Args
2018-06-25 19:32:55adelfinosetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-23 02:37:20terry.reedysetmessages: + msg320295
2018-06-23 02:28:11adelfinosetpull_requests: + pull_request7476
2018-06-22 21:54:29miss-islingtonsetmessages: + msg320282
2018-06-22 21:51:10miss-islingtonsetnosy: + miss-islington
messages: + msg320281
2018-06-22 21:42:54terry.reedysettitle: doc Mention Windows along UNIX for script running instructions -> Doc: Delete UNIX qualification for script running instructions
2018-06-22 21:34:13miss-islingtonsetpull_requests: + pull_request7473
2018-06-22 21:32:18miss-islingtonsetpull_requests: + pull_request7472
2018-06-22 21:31:05terry.reedysetmessages: + msg320276
2018-06-22 21:16:51terry.reedysetassignee: docs@python -> terry.reedy
messages: + msg320274
2018-06-22 21:08:27ned.deilysetmessages: + msg320271
2018-06-22 20:08:48terry.reedysetnosy: + ned.deily
messages: + msg320260
2018-06-16 15:55:33ned.deilysetnosy: + terry.reedy
2018-06-16 15:54:54ned.deilysetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2018-06-16 03:36:36adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request7352
2018-06-16 03:33:50adelfinocreate